render_scene(3)

NAME
render_scene - Renders all the queued scene polygons. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void render_scene();

DESCRIPTION
Renders all the specified scene_polygon3d()'s on the bitmap passed to clear_scene(). Rendering is done one scanline at a time, with no pixel being processed more than once. Note that between clear_scene() and render_scene() you shouldn't change the clip rectangle of the destination bitmap. For speed reasons, you should set the clip rectangle to the minimum. Note also that all the textures passed to scene_polygon3d() are stored as pointers only and actually used in render_scene().

SEE ALSO
create_scene(3), clear_scene(3), destroy_scene(3), scene_gap(3), scene_polygon3d(3), exscn3d(3)